cancel
Showing results for 
Search instead for 
Did you mean: 
Llandr
Pilgrim

Prerequisite .Net Framework 4.5.1

I can find a prerequisite for .Net Framework 4.5, however I cannot find a prerequisite for .Net Framework 4.5.1.

Where can I find this?
Labels (1)
Tags (1)
0 Kudos
7 Replies
JSClark
Pilgrim

Re: Prerequisite .Net Framework 4.5.1

0 Kudos
ricko2001
Pilgrim

Problem creating a prq for NET 4.5.1

I want to create a prq for .NET 4.5.1 installation.
According to
http://blogs.msdn.com/b/astebner/archive/2013/11/11/10466402.aspx
which I believe to be reputable, the test should be whether the registry key
"HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full"
has a value named "Release" with a specific value. The problem is that the values can be either of two possibilities-
378758 for the redistributable version of .NET 4.5.1
or
378675 for the .NET 4.5.1 built in to Windows 8.1

The prq conditions do not seem to support OR logic.

Any suggestions?

0 Kudos
JSClark
Pilgrim

Re: Prerequisite .Net Framework 4.5.1

What Release value do you see when you install 4.5.1 on your two test OS's?
0 Kudos
ricko2001
Pilgrim

Re: Prerequisite .Net Framework 4.5.1

OK, I confirmed it on VMs.

378758 for the redistributable version of .NET 4.5.1 installed on Win7
and
378675 for the .NET 4.5.1 built in to Windows 8.1


I'm only dealing with Win 7 and later.
I want to install 4.5.1 if:
the already installed .net 4 version is less than 4.5.1
or
there is no .net 4

I am not concerned with a newer version, say 5.0 that is installed side by side.
0 Kudos
Not applicable

No prerequisite .net framework 4.5.1 ???

I'm very disappointed that InstallShield doesn't have a prerequisite file for .NET Framework 4.5.1. Especially since 4.5.1 has been out for several months already. I'm looking at the existing .NET Framework 4.5 .prq file ("Microsoft .NET Framework 4.5 Full.prq"), copied that to "Microsoft .NET Framework 4.5.1 Full.prq" but I don't know what to fill-in for several of the values in it. Is there anywhere to download a proper .prq file for .NET Framework 4.5.1 ????
0 Kudos
Highlighted
MillionsterNutz
Flexera beginner

Re: Prerequisite .Net Framework 4.5.1

Hi @ all!

I'm also very disappointed that Flexera does not offer free downloads of new Setup Prerequisites - but over years I got to know Flexera and InstallShield and while I'm disappointed I have to admit that I'm not surprised that they do not give out something for free.

At this point I'd like to correct Richard Fuhrmann's statement: InstallShield does have a prerequisite file for .Net 4.5.1 and it comes with IS2014. So if you are still using IS2013, like me, the easiest thing to solve the problem is to:
1. Download the trial version of IS2014
2. Install it on a virtual machine in order to not spoil your own system
3. Create a fake setup with it in order to download the prerequisite you want
4. Copy the prq file and the related files over to your own IS2013 installation
5. Get rid of the trial version and have fun

Although this sounds a little bit like stealing we have to be honest: In the long run I have to upgrade to IS2014 (or whatever comes after that) anyways. In the meantime the .Net framework 4.5.2 is out and there is no prerequisite for this in IS2014 of course...

Cheers

MillionsterNutzer
0 Kudos
marien
Pilgrim

****

Realy **** software.
A simple task to install framework seems super expert work,,,,,,
frustration after more than 2 days searching a solution...
0 Kudos